Name: hunspell-de
Summary: German hunspell dictionaries
Version: 20051111
Release: alt2
Group: Text tools
License: GPL
URL: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/

Source0: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/de_DE.zip
Source1: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/de_CH.zip

Requires: libhunspell

BuildArch: noarch
BuildRequires: unzip

%description
German (Germany, Switzerland, etc.) hunspell dictionaries.

%prep
%setup -q -c -n %name -a1

%build
chmod -x *

%install
mkdir -p %buildroot%_datadir/myspell
install -m644 de_??.* %buildroot%_datadir/myspell/

cd %buildroot%_datadir/myspell
de_DE_aliases="de_BE de_LU"
for lang in $de_DE_aliases; do
	ln -s de_DE.aff $lang.aff
	ln -s de_DE.dic $lang.dic
done
de_CH_aliases="de_LI"
for lang in $de_CH_aliases; do
	ln -s de_CH.aff $lang.aff
	ln -s de_CH.dic $lang.dic
done

%files
%doc README_de_??.txt
%_datadir/myspell/*

%changelog
* Sat Dec 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 20051111-alt2
- new varient alias

* Wed Jul 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 20051111-alt1
- initial release
